import numpy as np
from sklearn.model_selection import train_test_split
from sklearn.tree import DecisionTreeClassifier
from sklearn.tree import export_text
from sklearn.tree import export_graphviz

D = np.genfromtxt( "manchas2.csv", delimiter=',' )
print( D.shape )
X = D[:,0:2]
y = D[:,2]

# Separamos los datos para entrenamiento y prueba
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=21 )

# clasificador = tree.DecisionTreeClassifier( )
clasificador = DecisionTreeClassifier( random_state=1  )
clasificador.fit( X_entrena, y_entrena )

exactitud_entrena = clasificador.score( X_entrena, y_entrena )
exactitud_prueba = clasificador.score( X_prueba, y_prueba )

print( "Exactitud de entrenamiento:", exactitud_entrena )
print( "Exactitud de prueba:", exactitud_prueba )

arbol = export_text( clasificador )
print( arbol )

export_graphviz( clasificador, out_file="arbol.dot" ) 
